Name:          jgoodies-animation
Version:       1.4.3
Release:       %mkrel 1
Summary:       Framework for time-based real-time animations in Java
Group:         Development/Java
License:       BSD
#Alt. URL:     http://java.net/projects/animation
URL:           http://www.jgoodies.com/freeware/animation/index.html

Source0:       http://www.jgoodies.com/download/libraries/animation/%{name}-%(tr "." "_" <<<%{version}).zip

BuildArch:     noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.jgoodies:jgoodies-common)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
The JGoodies Animation framework enables you to produce time-based real-time
animations in Java. It uses concepts and notions as described by the W3C
specification for the Synchronized Multimedia Integration Language (SMIL).

This animation framework has been designed for a seemless, flexible
and powerful integration with Java, ease-of-use and a small library size.
Unlike SMIL we use Java to describe the animations – not XML.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

mkdir -p src/main/java
(cd src/main/java && jar xf ../../../%{name}-%{version}-sources.jar)
mkdir -p src/test/java
(cd src/test/java && jar xf ../../../%{name}-%{version}-tests.jar)
find -name "*.jar" -delete

sed -i 's|\r||g' LICENSE.txt RELEASE-NOTES.txt

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt README.html RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt


%changelog
* Mon Feb 29 2016 daviddavid <daviddavid> 1.4.3-1.mga6
+ Revision: 980730
- First rebuild of the java stack
- sync package jgoodies-animation with fedora (update to 1.4.3)

* Tue Feb 09 2016 umeabot <umeabot> 1.3.0-7.mga6
+ Revision: 952186
- Mageia 6 Mass Rebuild

* Tue Jan 20 2015 daviddavid <daviddavid> 1.3.0-6.mga5
+ Revision: 811591
- use .mfiles generated during build
- update Requires
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 748619
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 680798
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-3.mga4
+ Revision: 506389
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 355374
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 02 2012 dmorgan <dmorgan> 1.3.0-1.mga2
+ Revision: 203980
- Fix typo
- Fix groups

  + tavvva <tavvva>
    - imported package jgoodies-animation

